<?php
require_once('config.php');


$error_message;
$valid = true;

$site_cd = $_REQUEST['site_cd'];
$wko_det_assign_to = $_REQUEST['wko_det_assign_to'];

/* Begin the transaction. */
if ( sqlsrv_begin_transaction( $conn ) === false ) {
     die( print_r( sqlsrv_errors(), true ));
}




	$sql="  select 
				wko_mst.site_cd,	
				ast_dwntime_out_date,			
				ast_dwntime_rts_date,			
				ast_dwntime_downtime			= COALESCE(ast_dwntime_downtime,0),			
				ast_dwntime_repair_from,		
				ast_dwntime_repair_to,		
				ast_dwntime_repairtime			= COALESCE(ast_dwntime_repairtime,0),
				ast_dwntime_down_wo				= COALESCE(ast_dwntime_down_wo,''),
				ast_dwntime_up_wo				= COALESCE(ast_dwntime_up_wo,''),		
				ast_dwntime_asset_no			= COALESCE(ast_dwntime_asset_no,''),			
				ast_dwntime_sched_flag			= COALESCE(ast_dwntime_sched_flag,''),	
				ast_dwntime_remark				= COALESCE(ast_dwntime_remark,''),			
				ast_dwntime.audit_user,
				ast_dwntime.audit_date,
				ast_dwntime.rowid,
				ast_dwntime.mst_RowID
					
				
					
			from 	wko_mst(NOLOCK)

			INNER JOIN wko_det (NOLOCK)
			ON		wko_mst.site_cd = wko_det.site_cd
			AND		wko_mst.rowid = wko_det.mst_rowid
			
			INNER JOIN ast_dwntime (NOLOCK)
			ON		wko_mst.site_cd = ast_dwntime.site_cd
			AND		ast_dwntime.ast_dwntime_down_wo = wko_mst.wko_mst_wo_no

								
			INNER JOIN	wrk_sts (NOLOCK)
			ON			wko_mst.site_cd = wrk_sts.site_cd
			AND			wko_mst.wko_mst_status = wrk_sts.wrk_sts_status
			
			
			WHERE 	wko_mst.site_cd = '".$site_cd ."' 
			AND		wko_det_assign_to='".$wko_det_assign_to ."'
			AND		wrk_sts_typ_cd='OPEN' ORDER BY  wko_mst_create_date DESC";	
				
				
						
	$stmt = sqlsrv_query( $conn, $sql);

			if( !$stmt ) {
				$error_message = "Error SELECT Response Table (wko_mst)";
				returnError($error_message);
				die( print_r( sqlsrv_errors(), true));
			}

			$json= array();

			do {
				 while ($row = sqlsrv_fetch_array($stmt, SQLSRV_FETCH_ASSOC)) {	
				 
					$json[] = $row;		
				
				 }
			} while ( sqlsrv_next_result($stmt) );


if( $stmt) {
	 sqlsrv_commit( $conn );
	 sqlsrv_close( $conn);	
	 returnData($json);		
} else {
	 sqlsrv_rollback( $conn );
	 $error_message = "Transaction rolled back.<br />";
	 returnError($error_message);
}

function returnData($json){
	
	 $json1 = json_encode($json);
	  
/* if(empty(json_decode($json1,1))) {
     $returnData = array(
	'status' => 'Alert',
	'message' => 'No Records found',
	'data' => $json);
}else{
	$returnData = array(
	'status' => 'SUCCESS',
	'message' => 'Successfully',	
	'data' => $json);
} */
	
	$returnData = array(
	'status' => 'SUCCESS',
	'message' => 'Successfully',	
	'data' => $json);

	echo json_encode($returnData);
}

function returnError($error_message){	
	
	$returnData = array(
	'status' => 'ERROR',
	'message' => $error_message);	
	echo json_encode($returnData);
	exit();
}

 
?>